Package org.eclipse.emf.compare.provider

## Class ForwardingItemProvider

- java.lang.Object
- - org.eclipse.emf.compare.provider.ForwardingItemProvider

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `ResourceLocator`, `CreateChildCommand.Helper`, `IChangeNotifier`, `IDisposable`, `IEditingDomainItemProvider`, `IItemColorProvider`, `IItemFontProvider`, `IItemLabelProvider`, `IItemPropertySource`, `IStructuredItemContentProvider`, `ITreeItemContentProvider`

    @Deprecated
    public class ForwardingItemProvider
    extends Object
    implements Adapter.Internal, IChangeNotifier, IDisposable, CreateChildCommand.Helper, ResourceLocator, IEditingDomainItemProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource, IItemColorProvider, IItemFontProvider

Deprecated.
Use `IItemProviderDecorator` and `DecoratorAdapterFactory` instead.
A simple implementation that forward every call to a delegating instance.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

### Constructor Summary

Constructors
`ForwardingItemProvider​(ItemProviderAdapter delegate)` Deprecated. Creates a new instance that delegate to the given object.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addListener​(INotifyChangedListener notifyChangedListener)` Deprecated.
`Command` `createCommand​(Object object, EditingDomain editingDomain, Class<? extends Command> commandClass, CommandParameter commandParameter)` Deprecated.
`protected ItemProviderAdapter` `delegate()` Deprecated. Returns the object to delegate to.
`void` `dispose()` Deprecated.
`void` `fireNotifyChanged​(Notification notification)` Deprecated.
`AdapterFactory` `getAdapterFactory()` Deprecated. This provides access to the factory.
`Object` `getBackground​(Object object)` Deprecated.
`URL` `getBaseURL()` Deprecated.
`Collection<?>` `getChildren​(Object object)` Deprecated.
`String` `getCreateChildDescription​(Object owner, Object feature, Object child, Collection<?> selection)` Deprecated.
`Object` `getCreateChildImage​(Object owner, Object feature, Object child, Collection<?> selection)` Deprecated.
`Collection<?>` `getCreateChildResult​(Object child)` Deprecated.
`String` `getCreateChildText​(Object owner, Object feature, Object child, Collection<?> selection)` Deprecated.
`String` `getCreateChildToolTipText​(Object owner, Object feature, Object child, Collection<?> selection)` Deprecated.
`Object` `getEditableValue​(Object object)` Deprecated.
`Collection<?>` `getElements​(Object object)` Deprecated.
`Object` `getFont​(Object object)` Deprecated.
`Object` `getForeground​(Object object)` Deprecated.
`Object` `getImage​(Object object)` Deprecated.
`Object` `getImage​(String key)` Deprecated.
`Collection<?>` `getNewChildDescriptors​(Object object, EditingDomain editingDomain, Object sibling)` Deprecated.
`Object` `getParent​(Object object)` Deprecated.
`IItemPropertyDescriptor` `getPropertyDescriptor​(Object object, Object propertyID)` Deprecated.
`List<IItemPropertyDescriptor>` `getPropertyDescriptors​(Object object)` Deprecated.
`protected AdapterFactory` `getRootAdapterFactory()` Deprecated. This convenience method returns the first adapter factory that doesn't have a parent, i.e., the root.
`String` `getString​(String key)` Deprecated.
`String` `getString​(String key, boolean translate)` Deprecated.
`String` `getString​(String key, Object[] substitutions)` Deprecated.
`String` `getString​(String key, Object[] substitutions, boolean translate)` Deprecated.
`Notifier` `getTarget()` Deprecated.
`String` `getText​(Object object)` Deprecated.
`boolean` `hasChildren​(Object object)` Deprecated.
`boolean` `isAdapterForType​(Object type)` Deprecated.
`void` `notifyChanged​(Notification notification)` Deprecated.
`void` `removeListener​(INotifyChangedListener notifyChangedListener)` Deprecated.
`void` `setTarget​(Notifier newTarget)` Deprecated.
`void` `unsetTarget​(Notifier oldTarget)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForwardingItemProvider

    public ForwardingItemProvider​(ItemProviderAdapter delegate)

Deprecated.
Creates a new instance that delegate to the given object.

Parameters:
  `delegate` - the object to delegate to.

### Method Detail

#### delegate

    protected ItemProviderAdapter delegate()

Deprecated.
Returns the object to delegate to.

Returns:
  the object to delegate to.

#### getAdapterFactory

    public AdapterFactory getAdapterFactory()

Deprecated.
This provides access to the factory.

Returns:
  the adapter factory.

#### getRootAdapterFactory

    protected AdapterFactory getRootAdapterFactory()

Deprecated.
This convenience method returns the first adapter factory that doesn't have a parent, i.e., the root.

Returns:
  the first adapter factory that doesn't have a parent, i.e., the root.

#### notifyChanged

    public void notifyChanged​(Notification notification)

Deprecated.

Specified by:
  `notifyChanged` in interface `Adapter`
See Also:
  `Adapter.notifyChanged(org.eclipse.emf.common.notify.Notification)`

#### getTarget

    public Notifier getTarget()

Deprecated.

Specified by:
  `getTarget` in interface `Adapter`
See Also:
  `Adapter.getTarget()`

#### setTarget

    public void setTarget​(Notifier newTarget)

Deprecated.

Specified by:
  `setTarget` in interface `Adapter`
See Also:
  `Adapter.setTarget(org.eclipse.emf.common.notify.Notifier)`

#### isAdapterForType

    public boolean isAdapterForType​(Object type)

Deprecated.

Specified by:
  `isAdapterForType` in interface `Adapter`
See Also:
  `Adapter.isAdapterForType(java.lang.Object)`

#### getPropertyDescriptors

    public List<IItemPropertyDescriptor> getPropertyDescriptors​(Object object)

Deprecated.

Specified by:
  `getPropertyDescriptors` in interface `IItemPropertySource`
See Also:
  `IItemPropertySource.getPropertyDescriptors(java.lang.Object)`

#### getPropertyDescriptor

    public IItemPropertyDescriptor getPropertyDescriptor​(Object object,
                                                         Object propertyID)

Deprecated.

Specified by:
  `getPropertyDescriptor` in interface `IItemPropertySource`
See Also:
  `IItemPropertySource.getPropertyDescriptor(java.lang.Object, java.lang.Object)`

#### getEditableValue

    public Object getEditableValue​(Object object)

Deprecated.

Specified by:
  `getEditableValue` in interface `IItemPropertySource`
See Also:
  `IItemPropertySource.getEditableValue(java.lang.Object)`

#### getText

    public String getText​(Object object)

Deprecated.

Specified by:
  `getText` in interface `IItemLabelProvider`
See Also:
  `IItemLabelProvider.getText(java.lang.Object)`

#### getImage

    public Object getImage​(Object object)

Deprecated.

Specified by:
  `getImage` in interface `IItemLabelProvider`
See Also:
  `IItemLabelProvider.getImage(java.lang.Object)`

#### hasChildren

    public boolean hasChildren​(Object object)

Deprecated.

Specified by:
  `hasChildren` in interface `ITreeItemContentProvider`
See Also:
  `ITreeItemContentProvider.hasChildren(java.lang.Object)`

#### getElements

    public Collection<?> getElements​(Object object)

Deprecated.

Specified by:
  `getElements` in interface `IStructuredItemContentProvider`
See Also:
  `IStructuredItemContentProvider.getElements(java.lang.Object)`

#### getChildren

    public Collection<?> getChildren​(Object object)

Deprecated.

Specified by:
  `getChildren` in interface `IEditingDomainItemProvider`
Specified by:
  `getChildren` in interface `ITreeItemContentProvider`
See Also:
  `IEditingDomainItemProvider.getChildren(java.lang.Object)`

#### getParent

    public Object getParent​(Object object)

Deprecated.

Specified by:
  `getParent` in interface `IEditingDomainItemProvider`
Specified by:
  `getParent` in interface `ITreeItemContentProvider`
See Also:
  `IEditingDomainItemProvider.getParent(java.lang.Object)`

#### getNewChildDescriptors

    public Collection<?> getNewChildDescriptors​(Object object,
                                                EditingDomain editingDomain,
                                                Object sibling)

Deprecated.

Specified by:
  `getNewChildDescriptors` in interface `IEditingDomainItemProvider`
See Also:
  `IEditingDomainItemProvider.getNewChildDescriptors(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Object)`

#### createCommand

    public Command createCommand​(Object object,
                                 EditingDomain editingDomain,
                                 Class<? extends Command> commandClass,
                                 CommandParameter commandParameter)

Deprecated.

Specified by:
  `createCommand` in interface `IEditingDomainItemProvider`
See Also:
  `IEditingDomainItemProvider.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class, org.eclipse.emf.edit.command.CommandParameter)`

#### getBaseURL

    public URL getBaseURL()

Deprecated.

Specified by:
  `getBaseURL` in interface `ResourceLocator`
See Also:
  `ResourceLocator.getBaseURL()`

#### getImage

    public Object getImage​(String key)

Deprecated.

Specified by:
  `getImage` in interface `ResourceLocator`
See Also:
  `ResourceLocator.getImage(java.lang.String)`

#### getString

    public String getString​(String key)

Deprecated.

Specified by:
  `getString` in interface `ResourceLocator`
See Also:
  `ResourceLocator.getString(java.lang.String)`

#### getString

    public String getString​(String key,
                            boolean translate)

Deprecated.

Specified by:
  `getString` in interface `ResourceLocator`
See Also:
  `ResourceLocator.getString(java.lang.String, boolean)`

#### getString

    public String getString​(String key,
                            Object[] substitutions)

Deprecated.

Specified by:
  `getString` in interface `ResourceLocator`
See Also:
  `ResourceLocator.getString(java.lang.String, java.lang.Object[])`

#### getString

    public String getString​(String key,
                            Object[] substitutions,
                            boolean translate)

Deprecated.

Specified by:
  `getString` in interface `ResourceLocator`
See Also:
  `ResourceLocator.getString(java.lang.String, java.lang.Object[], boolean)`

#### getCreateChildResult

    public Collection<?> getCreateChildResult​(Object child)

Deprecated.

Specified by:
  `getCreateChildResult` in interface `CreateChildCommand.Helper`
See Also:
  `CreateChildCommand.Helper.getCreateChildResult(java.lang.Object)`

#### getCreateChildText

    public String getCreateChildText​(Object owner,
                                     Object feature,
                                     Object child,
                                     Collection<?> selection)

Deprecated.

Specified by:
  `getCreateChildText` in interface `CreateChildCommand.Helper`
See Also:
  `CreateChildCommand.Helper.getCreateChildText(java.lang.Object, java.lang.Object, java.lang.Object, java.util.Collection)`

#### getCreateChildDescription

    public String getCreateChildDescription​(Object owner,
                                            Object feature,
                                            Object child,
                                            Collection<?> selection)

Deprecated.

Specified by:
  `getCreateChildDescription` in interface `CreateChildCommand.Helper`
See Also:
  `CreateChildCommand.Helper.getCreateChildDescription(java.lang.Object, java.lang.Object, java.lang.Object, java.util.Collection)`

#### getCreateChildToolTipText

    public String getCreateChildToolTipText​(Object owner,
                                            Object feature,
                                            Object child,
                                            Collection<?> selection)

Deprecated.

Specified by:
  `getCreateChildToolTipText` in interface `CreateChildCommand.Helper`
See Also:
  `CreateChildCommand.Helper.getCreateChildToolTipText(java.lang.Object, java.lang.Object, java.lang.Object, java.util.Collection)`

#### getCreateChildImage

    public Object getCreateChildImage​(Object owner,
                                      Object feature,
                                      Object child,
                                      Collection<?> selection)

Deprecated.

Specified by:
  `getCreateChildImage` in interface `CreateChildCommand.Helper`
See Also:
  `CreateChildCommand.Helper.getCreateChildImage(java.lang.Object, java.lang.Object, java.lang.Object, java.util.Collection)`

#### dispose

    public void dispose()

Deprecated.

Specified by:
  `dispose` in interface `IDisposable`
See Also:
  `IDisposable.dispose()`

#### fireNotifyChanged

    public void fireNotifyChanged​(Notification notification)

Deprecated.

Specified by:
  `fireNotifyChanged` in interface `IChangeNotifier`
See Also:
  `IChangeNotifier.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`

#### addListener

    public void addListener​(INotifyChangedListener notifyChangedListener)

Deprecated.

Specified by:
  `addListener` in interface `IChangeNotifier`
See Also:
  `IChangeNotifier.addListener(org.eclipse.emf.edit.provider.INotifyChangedListener)`

#### removeListener

    public void removeListener​(INotifyChangedListener notifyChangedListener)

Deprecated.

Specified by:
  `removeListener` in interface `IChangeNotifier`
See Also:
  `IChangeNotifier.removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener)`

#### unsetTarget

    public void unsetTarget​(Notifier oldTarget)

Deprecated.

Specified by:
  `unsetTarget` in interface `Adapter.Internal`
See Also:
  `Adapter.Internal.unsetTarget(org.eclipse.emf.common.notify.Notifier)`

#### getFont

    public Object getFont​(Object object)

Deprecated.

Specified by:
  `getFont` in interface `IItemFontProvider`
See Also:
  `IItemFontProvider.getFont(java.lang.Object)`

#### getForeground

    public Object getForeground​(Object object)

Deprecated.

Specified by:
  `getForeground` in interface `IItemColorProvider`
See Also:
  `IItemColorProvider.getForeground(java.lang.Object)`

#### getBackground

    public Object getBackground​(Object object)

Deprecated.

Specified by:
  `getBackground` in interface `IItemColorProvider`
See Also:
  `IItemColorProvider.getBackground(java.lang.Object)`